#include <bits/stdc++.h>
#include <math.h>
using namespace std;
#define ll long long
#define ld long double
#define pb push_back
#define mp make_pair
#define ins insert
#define vi vector<int>
const int mxN = 1e9;
const ll mod = 1e9 + 7;

int main()
{
    int n;
    cin >> n;
    vector<pair<ld, ld>> a(n);
    for (int i = 0; i < n; i++)
    {
        cin >> a[i].second >> a[i].first;
    }
    sort(a.rbegin(), a.rend());
    vector<ld> sums(n, 0);
    sums[0] = a[0].second;
    for (int i = 1; i < n; i++)
    {
        sums[i] = sums[i - 1] + a[i].second;
    }
    ld ans = a[0].first * a[0].second / 100.0;
    for (int i = 1; i < n; i++)
    {
        ans = max(ans, sums[i] * a[i].first / 100.0);
    }
    cout << fixed << setprecision(4) << ans;
    return 0;
}